@echo off
setlocal enableDelayedExpansion

if !%1==! goto errit

set TARGET=%1.bas
set IS_BCL=0

cd %1
del *.bak
if exist %1.bcl (
        mkdir bcl
        copy *.bcl bcl
	set TARGET=%1.bcl
	set IS_BCL=1
) else (
 if not exist %1.bas (
   rem check if there is any bas file. it must be only one file  in application folder
   set bas_count=0
   dir /b *.bas > barionetbasfiles.txt
   for /f %%A IN ( barionetbasfiles.txt ) do (
     set tmp_bas_count=%bas_count%
	 set /a bas_count+=1
     set TARGET=%%A 	 
   )
   del barionetbasfiles.txt
   rem only one file, so this is the application file
   if "!bas_count!"=="1"  (  goto start_tokenizing )

   rem no file found its error.
   if "!bas_count!"=="0"  ( goto no_file ) 

   rem many bas files found. it can not detect which one to select
   echo Many BAS files found in folder %1
   echo When %1.bas  file not present, make sure that you have only one BAS file in %1 folder.
   cd ..   
   goto endit
 )
)
:start_tokenizing

..\..\tools\tokenizer.exe barionet100 %TARGET%
if errorlevel 1 goto quit
if "%IS_BCL%"=="1" del %1.bas
cd ..
echo # Creating cob file
..\tools\web2cob /o %1.cob /d %1
if !%2==! goto endit
echo # Uploading %1.cob to WEB4
tftp -i %2 put %1.cob WEB4
goto endit
:quit
echo "ERROR - TOKENIZER REPORTS FAILURE"
cd ..
goto endit
:no_file
echo "ERROR - NO BAS FILE FOUND"
goto endit
:errit 
  echo Usage:%1 application_folder [ip_address]

:endit

